 
.topbar {
    width: 100%;
    background: #0f172a;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 16px;
    color: var(--accent); /*#9acd32;*/
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.2);
}

.nav-logo {
    width: 8vw;       /* Container size on mobile */
    margin-left: 2vw;
    min-width: 30px;
    align-items: center;
    gap: 8px;
}
.nav-logo img{
    width: 100%;      
  height: auto;     
  display: block;
}

.nav-links{ 
    width: 10%;
}

.hamburger {
    font-size: 29px;
    background: none;
    border: none;
    color: var(--light-bg);
    cursor: pointer;

    min-width: 48px; /*set click area*/
    min-height: 48px;
  
    /* Center the symbol within the larger tap area */
    display: flex;
    align-items: center;
    justify-content: center
}

.overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.4);
    opacity: 0;
    visibility: hidden;
    transition: opacity .3s ease;
    z-index: 9;
}


.mobile-nav {
    position: fixed;
    top: 0;
    right: -99%;
    width: 70%;
    height: 100%;
    background: var( --darker);
    padding: 20px;
    box-shadow: -4px 0 12px rgba(0,0,0,.15);
    transition: right .3s ease;
    z-index: 110;

    display: flex;
    flex-direction: column;
    gap: 16px;
}

.mobile-nav a {
    text-decoration: none;
    color: #0849e2;
    font-size: 18px;
    margin-left: 35px;
}

.close-btn {
    align-self: flex-start;
    font-size: 20px;
    background: none;
    cursor: pointer;
    color: red;
    border: 2px solid white;
    border-radius: 50%;
    padding: 0.5px 5px; 
    vertical-align: middle;
}


.mobile-nav.active {
    right: 0;
}

.overlay.active {
    opacity: 1;
    visibility: visible;
}
.desktop-nav{
    display: none;
}

.link {
    text-decoration: none;
    color: var(--accent);
    padding: 0.5rem;
}

.link.active {
    display: inline-block;
    border-bottom: 2px solid #FACC15;
    color: #FACC15;
    width: fit-content;
}

/*Desktop*/
@media (min-width: 768px) {
    .hamburger {
        display: none;
    }

    .mobile-nav,
    .overlay {
        display: none;
    }
    .topbar{
        display: flex;
        justify-content: space-between;
    }
    .nav-logo{
       width: 5vw;   /* 10% of the viewport width */
        max-width: 160px;
    }
    .nav-links{
        width: 60%;
        display: flex;
        justify-content: space-between;
        align-items: center;  
    }
    .desktop-nav{ 
        width: 100%;
        display: flex;
        gap: 25px;
        align-items: center;
        padding: 10px;
    }
    
    #align_right{
        margin-left: auto; /* Pushes this item to the far right */
        margin-right: 4.5vw;
    }

}

